Twitter / XCommunities
Get media Posts from an X Community
Use UnifAPI's Twitter / X API to get media Posts from an X Community with the GET /x/communities/{id}/media endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
UnifAPI API key. Provider credentials are managed by UnifAPI.
In: header
Path Parameters
id*string
X resource id.
Length
1 <= lengthQuery Parameters
expansions?string
tweet.fields?string
user.fields?string
media.fields?string
place.fields?string
poll.fields?string
pagination_token?string
next_token?string
max_results?integer
Range
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/x/communities/string/media"{
"request_id": "string",
"data": [
{
"id": "string",
"text": "string",
"author_id": "string",
"created_at": "string",
"conversation_id": "string",
"lang": "string",
"possibly_sensitive": true,
"public_metrics": {
"followers_count": 0,
"following_count": 0,
"tweet_count": 0,
"listed_count": 0,
"like_count": 0,
"retweet_count": 0,
"reply_count": 0,
"quote_count": 0,
"bookmark_count": 0,
"impression_count": 0
},
"attachments": {
"media_keys": [
"string"
]
},
"edit_history_tweet_ids": [
"string"
],
"author": {
"id": "string",
"name": "string",
"username": "string",
"created_at": "string",
"description": "string",
"location": "string",
"url": "string",
"profile_image_url": "string",
"profile_banner_url": "string",
"protected": true,
"verified": true,
"verified_type": "string",
"pinned_tweet_id": "string",
"public_metrics": {
"followers_count": 0,
"following_count": 0,
"tweet_count": 0,
"listed_count": 0,
"like_count": 0,
"retweet_count": 0,
"reply_count": 0,
"quote_count": 0,
"bookmark_count": 0,
"impression_count": 0
}
},
"media": [
{
"media_key": "string",
"type": "string",
"url": "string",
"preview_image_url": "string",
"height": 0,
"width": 0,
"duration_ms": 0,
"variants": [
{
"bit_rate": 0,
"content_type": "string",
"url": "string"
}
]
}
]
}
],
"pagination": {
"has_more": true,
"next_cursor": "string"
},
"billing": {
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}Get an X Community about timeline GET
Use UnifAPI's Twitter / X API to get an X Community about timeline with the GET /x/communities/{id}/about endpoint.
Search members in an X Community GET
Use UnifAPI's Twitter / X API to search members in an X Community with the GET /x/communities/{id}/member_search endpoint.